//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloERP
{
    using System;
    using System.Collections.Generic;
    
    public partial class VENDOR
    {
        public int ROWID { get; set; }
        public string ID { get; set; }
        public string NAME { get; set; }
        public string ADDR_1 { get; set; }
        public string ADDR_2 { get; set; }
        public string ADDR_3 { get; set; }
        public string CITY { get; set; }
        public string STATE { get; set; }
        public string ZIPCODE { get; set; }
        public string COUNTRY { get; set; }
        public string CONTACT_FIRST_NAME { get; set; }
        public string CONTACT_LAST_NAME { get; set; }
        public string CONTACT_INITIAL { get; set; }
        public string CONTACT_POSITION { get; set; }
        public string CONTACT_HONORIFIC { get; set; }
        public string CONTACT_SALUTATION { get; set; }
        public string CONTACT_PHONE { get; set; }
        public string CONTACT_FAX { get; set; }
        public string REMIT_TO_NAME { get; set; }
        public string REMIT_TO_ADDR_1 { get; set; }
        public string REMIT_TO_ADDR_2 { get; set; }
        public string REMIT_TO_ADDR_3 { get; set; }
        public string REMIT_TO_CITY { get; set; }
        public string REMIT_TO_STATE { get; set; }
        public string REMIT_TO_ZIPCODE { get; set; }
        public string REMIT_TO_COUNTRY { get; set; }
        public string FREE_ON_BOARD { get; set; }
        public string SHIP_VIA { get; set; }
        public string BUYER { get; set; }
        public string REPORT_1099_MISC { get; set; }
        public string TERMS_NET_TYPE { get; set; }
        public Nullable<short> TERMS_NET_DAYS { get; set; }
        public Nullable<System.DateTime> TERMS_NET_DATE { get; set; }
        public string TERMS_DISC_TYPE { get; set; }
        public Nullable<short> TERMS_DISC_DAYS { get; set; }
        public Nullable<System.DateTime> TERMS_DISC_DATE { get; set; }
        public Nullable<decimal> TERMS_DISC_PERCENT { get; set; }
        public string TERMS_DESCRIPTION { get; set; }
        public string CURRENCY_ID { get; set; }
        public string TAX_ID_NUMBER { get; set; }
        public string SITE_ID { get; set; }
        public string DEF_EXP_GL_ACCT_ID { get; set; }
        public string DEF_SLS_TAX_GRP_ID { get; set; }
        public string MATCH_TYPE { get; set; }
        public Nullable<decimal> MATCH_HIGH_PCT { get; set; }
        public Nullable<decimal> MATCH_LOW_PCT { get; set; }
        public Nullable<System.DateTime> LAST_ORDER_DATE { get; set; }
        public Nullable<System.DateTime> OPEN_DATE { get; set; }
        public Nullable<System.DateTime> MODIFY_DATE { get; set; }
        public string USER_1 { get; set; }
        public string USER_2 { get; set; }
        public string USER_3 { get; set; }
        public string USER_4 { get; set; }
        public string USER_5 { get; set; }
        public string USER_6 { get; set; }
        public string USER_7 { get; set; }
        public string USER_8 { get; set; }
        public string USER_9 { get; set; }
        public string USER_10 { get; set; }
        public string DEF_PAYB_ACCT_ID { get; set; }
        public string UDF_LAYOUT_ID { get; set; }
        public string ARRIVAL_CODE { get; set; }
        public string TRANS_CODE { get; set; }
        public string COUNTRY_ID { get; set; }
        public Nullable<int> NATURE_OF_TRANS { get; set; }
        public Nullable<int> MODE_OF_TRANSPORT { get; set; }
        public Nullable<decimal> SIRET_NUMBER { get; set; }
        public string VAT_REGISTRATION { get; set; }
        public string VAT_BOOK_CODE_I { get; set; }
        public string VAT_BOOK_CODE_M { get; set; }
        public string VAT_EXEMPT { get; set; }
        public string WITHHOLDING_CODE { get; set; }
        public string VEND_BANK_ACCT_ID { get; set; }
        public string PAYEE_REF_CODE { get; set; }
        public string PAYMENT_METHOD { get; set; }
        public string TYPE { get; set; }
        public string SOCIAL_SECURITY_NO { get; set; }
        public Nullable<System.DateTime> DATE_OF_BIRTH { get; set; }
        public string SEX { get; set; }
        public string PLACE_OF_BIRTH { get; set; }
        public string STATE_OF_BIRTH { get; set; }
        public Nullable<short> PRIORITY { get; set; }
        public string DEF_EXP_ACCT_ID { get; set; }
        public Nullable<decimal> QA_PERCENTAGE { get; set; }
        public string PREF_ORDER_MEDIUM { get; set; }
        public string DEF_CARRIER_ID { get; set; }
        public string CONTACT_MOBILE { get; set; }
        public string CONTACT_EMAIL { get; set; }
        public string DEF_TRANS_CURRENCY { get; set; }
        public string DEF_LBL_FORMAT_ID { get; set; }
        public string VAT_DISCOUNTED { get; set; }
        public string VAT_ALWAYS_DISC { get; set; }
        public string VAT_CODE { get; set; }
        public string VAT_OVERRIDE_SEQ { get; set; }
        public Nullable<int> RETURN_TRANS { get; set; }
        public string WEB_URL { get; set; }
        public string SHIPTO_ID { get; set; }
        public string DISPATCH_ADDR_ID { get; set; }
        public string DISP_PALLET_REQ { get; set; }
        public string ACTIVE_FLAG { get; set; }
        public System.DateTime STATUS_EFF_DATE { get; set; }
        public string DEF_TERMS_ID { get; set; }
        public string VENDOR_GROUP_ID { get; set; }
        public string INTERNAL_VENDOR { get; set; }
        public string PREVENT_EDIT_PO_RECEIPT { get; set; }
        public string CONTACT_PHONE_EXT { get; set; }
        public string EMAIL_VEND_ON_NEW_ORDER { get; set; }
        public string EMAIL_VEND_ON_CHG_ORDER { get; set; }
        public string EMAIL_VEND_ON_PO_RECEIPT { get; set; }
        public string EMAIL_EMPL_ON_NEW_ORDER { get; set; }
        public string EMAIL_EMPL_ON_CHG_ORDER { get; set; }
        public string EMAIL_EMPL_ON_PO_RECEIPT { get; set; }
        public string EMAIL_EMPL_ON_INV_PAID { get; set; }
        public string VENDOR_COUNTRY_ID { get; set; }
        public string REMIT_TO_COUNTRY_ID { get; set; }
    }
}
